FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 08-21-2008, 10:28 AM
"abdelkader belahcene"
 
Default The minimum running X

Hi,
I want to install just a minimum on my machine ( small Disk < 512M ), but running X, for example JVM or fluxbox.
When I tried apt-install xserver-xorg,* it install extra packages I am sure don't need and took big space.


I want the minimum and required package, can I have a list please ?

I've done it with DSL and Puppy, It is fine, But I want pure debian distro

thanks a lot
bela
 
Old 08-21-2008, 11:58 AM
Shachar Or
 
Default The minimum running X

On Thursday 21 August 2008 13:28, abdelkader belahcene wrote:
> Hi,
> I want to install just a minimum on my machine ( small Disk < 512M ), but
> running X, for example JVM or fluxbox.
> When I tried apt-install xserver-xorg, it install extra packages I am sure
> don't need and took big space.
>
> I want the minimum and required package, can I have a list please ?

Look at the xorg package's dependencies and it's dependencies' dependencies
and select whatever you think you need from there.
>
> I've done it with DSL and Puppy, It is fine, But I want pure debian distro
>
> thanks a lot
> bela

--
Shachar Or | שחר אור
http://ox.freeallweb.org/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 08-23-2008, 07:59 AM
Andrei Popescu
 
Default The minimum running X

On Thu,21.Aug.08, 11:28:55, abdelkader belahcene wrote:
> Hi,
> I want to install just a minimum on my machine ( small Disk < 512M ), but
> running X, for example JVM or fluxbox.
> When I tried apt-install xserver-xorg, it install extra packages I am sure
> don't need and took big space.
>
> I want the minimum and required package, can I have a list please ?

My approach has been to install only the xserver-xorg-video-foo package
I need (together with -input-kbd and -input-mouse). Aside from this you
will only need some xfonts.

Regards,
Andrei
--
If you can't explain it simply, you don't understand it well enough.
(Albert Einstein)
 

Thread Tools




All times are GMT. The time now is 08:55 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org